<?php

namespace Drupal\munin_api;

/**
 * Class Munin contains constants to avoid magic strings in the module code.
 */
class Munin {
  const MODULE = 'munin_api';

  // The meta-probe, monitoring Munin from Drupal.
  const PROBE_MUNIN = 'munin_munin';

  // The module hooks.
  const HOOK_FETCH = self::MODULE . '_fetch';
  const HOOK_INFO = self::MODULE . '_info';

  // Routes (paths in D7).
  const R_BASE = self::MODULE;
  const R_CONFIG = 'admin/config/' . self::MODULE;
  const R_REPORTS = 'admin/reports/' . self::MODULE;

  // Variables (config, settings, state in D7).
  const V_INIT_PATH = self::MODULE . '_init_path';
  const V_LAST = self::MODULE . '_last';
  const V_NEXT_REPORT = self::MODULE . '_next_report';
  const V_WATCHDOG = self::MODULE . '_watchdog';

  const V_WATCHDOG_CRON = 'cron';
  const V_WATCHDOG_NONE = 'none';
  const V_WATCHDOG_INIT = 'init';

  // Variable defaults.
  const D_INIT_PATH = '/^$/';
  const D_WATCHDOG = self::V_WATCHDOG_CRON;

}
